# Report

API Documentation: | `Report`

A file based report to be created.

Tasks that produce reports expose instances of this type for configuration via the `Reporting` interface.

### Properties

Property | Description
`displayName` | A more descriptive name of this report. Used when the report is referenced for end users.
`name` | The symbolic name of this report.
`outputLocation` | The location on the filesystem to generate the report to.
`outputType` | The type of output that the report generates.
`required` | A flag that determines whether this report should be generated or not.

### Methods

No methods

### Script blocks

No script blocks

### Property details

#### `String` `displayName` (read-only)

A more descriptive name of this report. Used when the report is referenced for end users.

#### `String` `name` (read-only)

The symbolic name of this report.

The name of the report usually indicates the format (e.g. XML, HTML etc.) but can be anything.

When part of a `ReportContainer`, reports are accessed via their name. That is, given a report container variable named `reports` containing a report who's `getName()` returns `"html"`, the report could be accessed via:

    reports.html

#### ``Property`<? extends `FileSystemLocation`>` `outputLocation`

The location on the filesystem to generate the report to.

#### `OutputType` `outputType` (read-only)

The type of output that the report generates.

#### ``Property`<`Boolean`>` `required`

A flag that determines whether this report should be generated or not.